#
# Conditional build:
%bcond_without	apidocs	# doxygen/sphinx+breathe API documentation
#
Summary:	A collection of multi-dimensional data structures and indexing algorithms
Summary(pl.UTF-8):	Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących
Name:		mdds
# keep in sync with BuildRequires in libreoffice.spec, ixion.spec, liborcus.spec
Version:	2.0.3
Release:	1
License:	MIT
Group:		Development/Libraries
#Source0Download: https://gitlab.com/mdds/mdds/-/releases
Source0:	https://kohei.us/files/mdds/src/%{name}-%{version}.tar.xz
# Source0-md5:	6ff7a461e9fc408c508bbfbf1f53969a
Patch0:		%{name}-doc.patch
URL:		https://gitlab.com/mdds/mdds
BuildRequires:	boost-devel >= 1.39
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	python3-breathe
BuildRequires:	sphinx-pdg-3
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of multi-dimensional data structures and indexing
algorithms.

It implements the following data structures:
- segment tree
- flat segment tree
- rectangle set
- point quad tree
- mixed type matrix

%description -l pl.UTF-8
Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących.
Zaimplementowane są następujące struktury danych:
- drzewo segmentowe
- płaskie drzewo segmentowe
- zbiór prostokątów
- drzewo czwórkowe (quadtree) dla punktów
- macierz mieszana

%package devel
Summary:	A collection of multi-dimensional data structures and indexing algorithms
Summary(pl.UTF-8):	Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących
Group:		Development/Libraries
Requires:	boost-devel >= 1.39
Requires:	libstdc++-devel >= 6:4.7

%description devel
A collection of multi-dimensional data structures and indexing
algorithms.

It implements the following data structures:
- segment tree
- flat segment tree
- rectangle set
- point quad tree
- mixed type matrix

%description devel -l pl.UTF-8
Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących.
Zaimplementowane są następujące struktury danych:
- drzewo segmentowe
- płaskie drzewo segmentowe
- zbiór prostokątów
- drzewo czwórkowe (quadtree) dla punktów
- macierz mieszana

%package apidocs
Summary:	API documentation for MDDS
Summary(pl.UTF-8):	Dokumentacja API biblioteki MDDS
Group:		Documentation

%description apidocs
API documentation for MDDS.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki MDDS.

%prep
%setup -q

%build
%configure \
	SPHINX=/usr/bin/sphinx-build-3 \
	%{?with_apidocs:--enable-docs}

%{__make}

%if %{with apidocs}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mdds

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE README.md
%{_includedir}/mdds-2.0
%{_npkgconfigdir}/mdds-2.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_doxygen/html doc/_build/{_static,*.html,*.js}
%endif
%changelog
* Fri Mar 10 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mdds.git;a=log;h=auto/th/mdds-2.0.3-1

* Fri Mar 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 26bd86d
- updated to 2.0.3 (for libreoffice 7.5.x)

* Sun Oct 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 79af1c0
- updated to 1.7.0

* Mon May 11 2020 Jan Palus <atler@pld-linux.org> ceee0b3
- fix build without apidocs

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 261daa5
- updated to 1.6.0

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 27fa488
- updated to 1.5.0 (API 1.5)

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 3a44f5e
- updated download URL, removed obsolete sphinx_bootstrap_theme dependency

* Thu Apr 04 2019 Adam Gołębiowski <adamg@pld-linux.org> a8a0026
- sorted BR

* Thu Apr 04 2019 Adam Gołębiowski <adamg@pld-linux.org> 344f4da
- updated to 1.4.3, BR: python3-cloud_sptheme

* Thu Apr 04 2019 Adam Gołębiowski <adamg@pld-linux.org> 51f588a
- updated to 1.4.1

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> fd5e7ef
- updated to 1.3.1

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 5e9669f
- updated to 1.2.3

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> b269968
- updated to 1.2.2

* Mon Aug 29 2016 Jakub Bogusz <qboosh@pld-linux.org> bd0f2c7
- updated to 1.2.1

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> c8be9e4
- updated to 1.2.0 (API 1.2; mdds with API 1.0 left on mdds-1.0 branch)
- ensure consistent version of sphinx modules required and used

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> fa09736
- updated sphinx deps
- rel 2

* Sun Nov 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 17e8410
- updated to 1.0.0 (now with versioned API, currently 1.0)
- added doc patch, build apidocs

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 0a68325
- updated to 0.12.1

* Fri Feb 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f97142
- updated to 0.12.0

* Mon Oct 27 2014 Jakub Bogusz <qboosh@pld-linux.org> f4af2d6
- updated to 0.11.1

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b9a143
- updated to 0.10.3

